Summary: tetex-t2
Name: tetex-t2
Version: 1.1
Release: 1
Group: Applications/Publishing/TeX
Source:tetex-t2-1.1.tar.gz 
Copyright: GPL
Vendor: IPLabs
Distribution: Mandrake 5.2
Requires: tetex >= 0.9, tetex-latex >= 0.9, perl
Buildroot: /tmp/root-pkg

%description
TeTex-LaTeX cyrillisation with T2 package, lh-fonts, ruhyphen & Babel

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -a * $RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT
cd t2-current
tex cyrlatex.ins
cp  *.def $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/t2/
cp  *.fd $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/t2/

cp  rusbabel/* ../babel
cd  ../babel
tex babel.ins
cp  cyrillic.fdd $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/babel
cp  greek.fdd $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/babel
cp  lcy* $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/babel
cp  lwn* $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/babel
cp  plain.def $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/babel/plain.def.new
cp  russianb.ldf $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/babel/russianb.ldf.new

cd  ..
cp -r ruhyphen $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/hyphen 
cd ruhyphen 
mv -f language.dat $RPM_BUILD_ROOT/usr/share/texmf/tex/generic/config/language.dat.new

cd ../lh
bash inst-lh.sh $RPM_BUILD_ROOT/usr/share/texmf/fonts/source/lh



%pre
cd  /usr/share/texmf/tex/generic/babel
mv -f plain.def plain.def.orig
mv -f russianb.ldf russianb.ldf.orig
cd /usr/share/texmf/tex/generic/config
mv -f language.dat language.dat.orig
cd /usr/bin
cp -f mktexmf mktexmf.orig
cd /usr/share/texmf/web2c
cp -f mktexnam mktexnam.orig
cd /usr/share/texmf/fontname/
mv -f special.map special.map.orig
cd /usr/share/texmf/tex/french/config/
mv -f hyphen.cfg hyphen.cfg.orig

%post
cd  /usr/share/texmf/tex/generic/babel
mv -f plain.def.new plain.def
mv -f russianb.ldf.new russianb.ldf
cd /usr/share/texmf/tex/generic/config
mv -f language.dat.new language.dat
cd /usr/share/texmf/fontname/
mv -f special.map.new special.map


cd /usr/bin
patch < mktexmf.dif
cd /usr/share/texmf/web2c
patch < mktexnam.dif

cd /usr/share/texmf
texhash
cd /usr/share/texmf/web2c
latex -ini latex.ini
pdflatex -ini pdflatex.ini
cd /usr/share/texmf
texhash

%preun
cd  /usr/share/texmf/tex/generic/babel
mv -f plain.def plain.def.new
mv -f russianb.ldf russianb.ldf.new
cd /usr/share/texmf/tex/generic/config
mv -f language.dat language.dat.new
cd /usr/share/texmf/fontname/
mv -f special.map special.map.new


%postun
cd  /usr/share/texmf/tex/generic/babel
mv -f plain.def.orig plain.def
mv -f russianb.ldf.orig russianb.ldf
cd /usr/share/texmf/tex/generic/config
mv -f language.dat.orig language.dat
cd /usr/bin
mv -f mktexmf.orig mktexmf
cd /usr/share/texmf/web2c
mv -f mktexnam.orig  mktexnam
cd /usr/share/texmf/fontname/
mv -f special.map.orig special.map
cd /usr/share/texmf/tex/french/config/
mv -f hyphen.cfg.orig hyphen.cfg


cd /usr/share/texmf
texhash

cd /usr/share/texmf/web2c
latex -ini latex.ini
pdflatex -ini pdflatex.ini

cd /usr/share/texmf
texhash




%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc docs/README
%doc docs/example.tex
%doc docs/README.T2
/usr/share/texmf/tex/latex/t2/*.def
/usr/share/texmf/tex/latex/t2/*.fd
/usr/share/texmf/tex/generic/babel/cyrillic.fdd
/usr/share/texmf/tex/generic/babel/greek.fdd
/usr/share/texmf/tex/generic/babel/lcy*
/usr/share/texmf/tex/generic/babel/lwn*
/usr/share/texmf/tex/generic/babel/plain.def.new
/usr/share/texmf/tex/generic/babel/russianb.ldf.new
/usr/share/texmf/tex/generic/hyphen/ruhyphen/*
/usr/share/texmf/tex/generic/config/language.dat.new
/usr/share/texmf/fonts/source/lh/base/*
/usr/share/texmf/fonts/source/lh/lh-lcy/*
/usr/share/texmf/fonts/source/lh/lh-ot2/*
/usr/share/texmf/fonts/source/lh/lh-t2a/*
/usr/share/texmf/fonts/source/lh/lh-t2b/*
/usr/share/texmf/fonts/source/lh/lh-t2c/*
/usr/share/texmf/fonts/source/lh/lh-x2/*
/usr/bin/mktexmf.dif
/usr/share/texmf/web2c/mktexnam.dif
/usr/share/texmf/fontname/special.map.new